<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления ярлыка товара.
 *
 * Файл: /admin/shop/action/add_item_shortcut.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */

$shop = & singleton('shop');
$kernel = & singleton('kernel');

$param_item = array ();

$param_item['shops_id'] = to_int($_POST['shop_id']);
$param_item['groups_id'] = to_int($_POST['shop_group_id']);
$param_item['shop_items_catalog_shortcut_id'] = to_int($_POST['shop_item_id']);
$param_item['is_active'] = 1;
$param_item['indexation'] = 0;

$item_shortcut_id = $shop->InsertItem($param_item);

if ($item_shortcut_id)
{
	show_message($GLOBALS['MSG_shops']['add_shop_item_shortcut_success']);
}
else 
{	
	show_error_message($GLOBALS['MSG_shops']['edit_shop_item_shortcut_error']);
}
?>